<?php

    namespace App\Enums;

    enum Priorities: string
    {
        case Low = 'low';
        case Medium = 'medium';
        case High = 'high';
        case Emergency = 'emergency';

        public static function values(): array
        {
            return array_column(self::cases(), 'name', 'value');
        }

        public function label(): string
        {
            return match ($this) {
                static::Low => 'Low',
                static::Medium => 'Medium',
                static::High => 'High',
                static::Emergency => 'Emergency',
            };
        }

        public function colour(): string
        {
            return match ($this) {
                static::Low => '#00BCD5',
                static::Medium => '#FEC107',
                static::High => '#A41A17',
                static::Emergency => '#FE0707',
            };
        }

        public function priority(): bool
        {
            return match ($this) {
                static::Low => false,
                static::Medium => false,
                static::High => true,
                static::Emergency => true,
            };
        }
    }
