<?php

    namespace App\Enums;

    enum Status: string
    {
        case Closed = 'closed';
        case Open = 'open';
        case AwaitingReply = 'awaiting reply';
        case InProgress = 'in progress';

        public static function values(): array
        {
            return array_column(self::cases(), 'name', 'value');
        }


        public function label(): string
        {
            return match ($this) {
                static::Closed => 'Closed',
                static::Open => 'Open',
                static::AwaitingReply => 'Awaiting Reply',
                static::InProgress => 'In Progress',
            };
        }

        public function colour(): string
        {
            return match ($this) {
                static::Closed => '#333333',
                static::Open => '#7FA341',
                static::AwaitingReply => '#613375',
                static::InProgress => '#1F4174',
            };
        }
    }
