<?php

    namespace App\Http\Controllers;

    use App\Models\User;
    use Illuminate\Http\Request;
    use Illuminate\Support\Facades\Auth;

    class ClientsController extends Controller
    {
        /**
         * Update the specified resource in storage.
         */
        public static function update($update)
        {
            User::where('id', $update['user_id'])
                ->update([
                    'name' => $update['name'],
                    'company' => $update['company'],
                    'email' => $update['email'],
                    'phone_number' => $update['phone_number'],
                    'is_agent' => $update['is_agent'],
                    'account_manager' => $update['account_manager'],
                ]);
        }

        /**
         * Displays all clients assigned to user.
         */
        public static function mine()
        {
            if (Auth::user()->is_agent == '1') {
                return view('clients.show_mine');
            } else {
                return view('clients.index');
            }
        }

        /**
         * Display a listing of the resource.
         */
        public function index()
        {
            if (Auth::check() and Auth::user()->is_agent != '0') {
                return view('clients.index');
            } elseif (Auth::check() and Auth::user()->is_agent == '0') {
                return view('dashboard');
            } else {
                return view('welcome');
            }
        }

        /**
         * Show the form for creating a new resource.
         */
        public function create()
        {
            //
        }

        /**
         * Store a newly created resource in storage.
         */
        public function store(Request $request)
        {
            //
        }

        /**
         * Display the specified resource.
         */
        public function show(Request $request)
        {
            if (Auth::user()->is_agent == '1' and $request->route('clientId') != '1') {
                $user = User::where('id', '=',
                    $request->route('clientId'))->where('id', '!=', '1')->first();
                if ($user->account_manager != '0') {
                    $current_account_manager = User::where('id', '=',
                        $user->account_manager)->first();
                } else {
                    $current_account_manager = '0';
                }

                return view('clients.view', [
                    'user' => $user,
                    'current_account_manager' => $current_account_manager
                ]);
            } elseif (Auth::check() and Auth::user()->is_agent != '0') {
                return view('clients.index');
            } else {
                return view('welcome');
            }
        }

        /**
         * Show the form for editing the specified resource.
         */
        public function edit(Request $request)
        {
            if (Auth::user()->is_agent == '1' and $request->route('clientId') != '1') {
                $user = User::where('id', '=',
                    $request->route('clientId'))->where('id', '!=', '1')->first();
                if ($user->account_manager != '0') {
                    $current_account_manager = User::where('id', '=',
                        $user->account_manager)->get();
                } else {
                    $current_account_manager = '0';
                }

                return view('clients.edit', [
                    'user' => $user,
                    'current_account_manager' => $current_account_manager
                ]);
            } elseif (Auth::check() and Auth::user()->is_agent != '0') {
                return view('clients.index');
            } else {
                return view('welcome');
            }
        }

        /**
         * Remove the specified resource from storage.
         */
        public function destroy(string $id)
        {
            //
        }
    }
