<?php

    namespace App\Http\Controllers;

    use App\Mail\NewResponse;
    use App\Models\Responses;
    use App\Models\Tickets;
    use App\Models\User;
    use Illuminate\Http\Request;
    use Illuminate\Support\Carbon;
    use Illuminate\Support\Facades\Auth;
    use Illuminate\Support\Facades\Mail;

    class ResponsesController extends Controller
    {
        /**
         * Store a newly created resource in storage.
         */
        public static function store($response)
        {
            if (Auth::check() and Auth::user()->id) {
                $user_id = Auth::user()->id;
            } else {
                $user_id = Tickets::where('id', '=', $response['ticket_number'])
                    ->select('user_id')
                    ->first()->user_id;
            }

            $responses = Responses::create([
                'response_user_id' => $user_id,
                'response_title' => $response["response_title"] ?? null,
                'response_content' => $response["response_content"],
                'ticket_number' => $response["ticket_number"],
                'is_note' => $response["is_note"],
                'agent_response' => $response["agent_response"],
                'ip_address' => app('request')->ip(),
                'created_at' => Carbon::now(),
                'updated_at' => null,
            ]);
            if ($response["agent_response"] == '1') {
                Tickets::where('id', '=', $response['ticket_number'])
                    ->update([
                    ]);
            } else {
                Tickets::where('id', '=', $response['ticket_number'])
                    ->update([
                        'date_closed' => null,
                        'updated_by_client_at' => Carbon::now(),
                    ]);
            }

            // Grabs all the ticket details into an array for the email.
            $grab_response = Responses::where('id', '=', $responses->id)->get()->toArray();
            $grab_ticket = Tickets::where('id', '=', $responses->ticket_number)->get()->toArray();
            $ticket_user = User::where('id', '=', $grab_ticket[0]['user_id'])->get()->toArray();

            // Send email to customer & Agents
            $agents = User::select('email')->where('is_agent', '=', '1')->pluck('email')->toArray();
            if ($responses && $response["is_note"] != '1') {
                Mail::to($ticket_user[0]['email'])->bcc($agents)->send(new NewResponse($grab_response[0],
                    $grab_ticket[0],
                    $grab_ticket[0]['public_hash'], $ticket_user[0]['name']));
            }

        }

        /**
         * Show the form for creating a new resource.
         */
        public function create()
        {
            //
        }

        /**
         * Update the specified resource in storage.
         */
        public function update(Request $request, Responses $responses)
        {
            //
        }

        /**
         * Display a listing of the resource.
         */
        public function index()
        {
            //
        }

        /**
         * Display the specified resource.
         */
        public function show(Responses $responses)
        {
            //
        }

        /**
         * Show the form for editing the specified resource.
         */
        public function edit(Responses $responses)
        {
            //
        }

        /**
         * Remove the specified resource from storage.
         */
        public function destroy(Responses $responses)
        {
            //
        }
    }
