<?php

    namespace App\Http\Controllers;

    use App\Mail\ClosedTicket;
    use App\Models\Status;
    use App\Models\Tickets;
    use App\Models\User;
    use Illuminate\Http\Request;
    use Illuminate\Support\Facades\Auth;
    use Illuminate\Support\Facades\Mail;

    class StatusController extends Controller
    {
        /**
         * Change the status of a ticket.
         */
        public static function update($status_info)
        {
            Tickets::where('id', $status_info['ticket_id'])
                ->update([
                    'status' => $status_info['status'],
                ]);
            if ($status_info['status'] == 'closed') {
                $client_id = Auth::user()->id;
                if (Auth::user()->is_agent == '1') {
                    $user = Tickets::where('tickets.id', '=', $status_info['ticket_id'])
                        ->first();
                    $user_email = User::select('email')->where('id',
                        '=', $user['user_id'])->first();
                } else {
                    $user = Tickets::where('tickets.id', '=', $status_info['ticket_id'])
                        ->where('user_id', '=', $client_id)
                        ->first();
                    $user_email = User::select('email')->where('id',
                        '=', $client_id)->first();
                }
                // Grabs the email address for the customer.
                $email = $user_email ? $user_email : $user->public_email;

                // Grabs all the ticket details into an array for the email.
                $grab_ticket = Tickets::where('id', '=', $status_info['ticket_id'])->get()->toArray();

                Mail::to($email)->send(new ClosedTicket($grab_ticket[0]));
            }
        }

        /**
         * Display a listing of the resource.
         */
        public function index()
        {
            //
        }

        /**
         * Show the form for creating a new resource.
         */
        public function create()
        {
            //
        }

        /**
         * Store a newly created resource in storage.
         */
        public function store(Request $request)
        {
            //
        }

        /**
         * Display the specified resource.
         */
        public function show(Status $status)
        {
            //
        }

        /**
         * Show the form for editing the specified resource.
         */
        public function edit(Status $status)
        {
            //
        }

        /**
         * Remove the specified resource from storage.
         */
        public function destroy(Status $status)
        {
            //
        }
    }
