<?php

    namespace App\Http\Middleware;

    use Closure;
    use Illuminate\Support\Facades\Auth;
    use Illuminate\Support\Facades\Session;

    class CheckSession
    {
        /**
         * Handle an incoming request.
         *
         * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
         */
        public function handle($request, Closure $next)
        {

            $previous_session = Auth::User()->session_id;
            if ($previous_session !== Session::getId()) {

                Session::getHandler()->destroy($previous_session);

                $request->session()->regenerate();
                Auth::user()->session_id = Session::getId();

                Auth::user()->save();
            }
            return $next($request);
        }
    }
