<?php

    namespace App\Livewire\Agents;

    use Illuminate\Support\Facades\DB;
    use Livewire\Component;

    class WhosOnline extends Component
    {
        public function render()
        {
            $online_users = DB::table('sessions')
                ->distinct()
                ->select(['users.id', 'users.name', 'users.is_agent'])
                ->whereNotNull('user_id')
                ->leftJoin('users', 'sessions.user_id', '=', 'users.id')
                ->get();
            return view('livewire.agents.whos-online', [
                'online_users' => $online_users
            ]);
        }
    }
