<?php

    namespace App\Livewire\Clients;

    use App\Models\User;
    use Livewire\Component;

    class Assigned extends Component
    {
        public $agent;

        public function mount($agent)
        {
            $this->agent = $agent;
        }

        public function render()
        {
            if ($this->agent) {
                $clients_assigned = User::where('account_manager', '=', $this->agent)
                    ->count();
            }

            return view('livewire.clients.assigned', [
                'clients_assigned' => $clients_assigned,
            ]);
        }
    }
