<?php

    namespace App\Livewire\Clients;

    use App\Http\Controllers\ClientsController;
    use App\Models\User;
    use Livewire\Component;

    class Edit extends Component
    {
        public $user = [];
        public $account_managers_list;
        public $current_account_manager = '';

        public $name = '';

        public $company = '';

        public $email = '';

        public $phone_number = '';

        public $is_agent = '';

        public $account_manager = '';

        public function save()
        {
            ClientsController::update([
                'name' => $this->name,
                'company' => $this->company,
                'email' => $this->email,
                'phone_number' => $this->phone_number,
                'is_agent' => $this->is_agent,
                'account_manager' => $this->account_manager,
                'user_id' => $this->user->id,
            ]);
            $this->redirect('/clients/show/'.$this->user->id);
        }

        public function mount($current_account_manager, $user)
        {
            $this->current_account_manager = $current_account_manager;
            $this->user = $user;

            $this->name = $this->user->name;
            $this->company = $this->user->company;
            $this->email = $this->user->email;
            $this->phone_number = $this->user->phone_number;
            $this->is_agent = $this->user->is_agent;
            $this->account_manager = $this->user->account_manager;
        }

        public function render()
        {

            $account_managers = User::where('is_agent', '=', '1')->get();

            return view('livewire.clients.edit', [
                'name' => $this->user->name,
                'company' => $this->user->company,
                'email' => $this->user->email,
                'phone_number' => $this->user->phone_number,
                'is_agent' => $this->user->is_agent,
                'account_manager' => $this->user->account_manager,
                'account_managers' => $account_managers,
            ]);
        }
    }
