<?php

    namespace App\Livewire\Departments;

    use App\Http\Controllers\DepartmentsController;
    use Illuminate\Support\Facades\Auth;
    use Livewire\Attributes\Rule;
    use Livewire\Component;

    class Create extends Component
    {
        #[Rule('required', message: "Please enter a name for the department.")]
        public $department_name;
        public $slug = '';

        public $department_description;

        #[Rule('required|email', message: "Please enter a valid email address for this department.")]
        public $department_email;

        //public $department_open;

        //public $department_closed;

        //#[Rule('required', message: "Please select a valid option.")]
        //public $show_opening_hours;

        #[Rule('required', message: "Please select a valid option.")]
        public $allows_high_priority;
        #[Rule('required', message: "Please select a valid option.")]
        public $display_department;

        #[Rule('required', message: "Please select a valid option.")]
        public $is_disabled;

        public function save()
        {
            $this->validate();
            if ($this->slug == '') {
                $this->slug = str_replace(' ', '-', $this->department_name);
            }
            $this->slug = str_replace(' ', '-', $this->slug);
            $create_department = DepartmentsController::store([
                'department_name' => $this->department_name,
                'slug' => str_replace(' ', '-', $this->slug),
                'department_description' => $this->department_description,
                'department_email' => $this->department_email,
                'department_open' => '',
                'department_closed' => '',
                'show_opening_hours' => '',
                'allows_high_priority' => $this->allows_high_priority,
                'is_disabled' => $this->is_disabled,
            ]);
            if ($create_department) {
                $this->redirect('/tickets/departments');
            } else {
                return view('livewire.departments.create');
            }
        }

        public function render()
        {
            if (Auth::user()->is_agent != '0') {
                return view('livewire.departments.create');
            } else {
                $this->redirectRoute('support_departments');
            }
        }
    }
