<?php

    namespace App\Livewire\Departments;

    use App\Http\Controllers\DepartmentsController;
    use App\Models\Departments;
    use Illuminate\Http\Request;
    use Livewire\Component;

    class Edit extends Component
    {
        public $department_id;
        public $department;
        public $department_name = '';
        public $slug = '';
        public $department_description = '';
        public $department_email = '';
        //public $show_opening_hours;
        public $allows_high_priority;
        public $display_department;
        public $is_disabled;


        public function save(Request $request)
        {
            if ($this->slug == '') {
                $this->slug = str_replace(' ', '-', $this->department_name);
            }
            $this->slug = str_replace(' ', '-', $this->slug);
            DepartmentsController::update([
                'department_name' => $this->department_name,
                'department_slug' => str_replace(' ', '-', $this->slug),
                'department_description' => $this->department_description,
                'department_email' => $this->department_email,
                'show_opening_hours' => '',
                'allows_high_priority' => $this->allows_high_priority,
                'department_id' => $this->department_id,
                'display_department' => $this->display_department,
                'is_disabled' => $this->is_disabled,
            ]);
            $this->redirect('/tickets/departments');
        }

        public function mount(Request $request)
        {
            $department = Departments::where('id', '=', $request->route('id'))->first();

            $this->department_name = $department->department_name;
            $this->slug = str_replace(' ', '-', $this->slug);
            $this->department_description = $department->department_description;
            $this->department_email = $department->department_email;
            $this->department_id = $department->id;
            //$this->show_opening_hours = $department->show_opening_hours;
            $this->allows_high_priority = $department->allows_high_priority;
            $this->display_department = $department->is_public;
            $this->is_disabled = $department->is_disabled;


            //$request->route('id');
        }

        public function render()
        {
            return view('livewire.departments.edit');
        }
    }
