<?php

    namespace App\Livewire;

    use Illuminate\Support\Facades\DB;
    use Livewire\Component;

    class EmployeesOnline extends Component
    {
        public function render()
        {
            $online = DB::table('sessions')
                ->distinct()
                ->select(['users.id', 'users.name', 'users.is_agent'])
                ->whereNotNull('user_id')
                ->where('is_agent', '=', '1')
                ->leftJoin('users', 'sessions.user_id', '=', 'users.id')
                ->get();
            $employees_online = count($online);
            return view('livewire.employees-online', [
                'employees_online' => $employees_online,
            ]);
        }
    }
