<?php

    namespace App\Livewire;

    use App\Models\Tickets;
    use Illuminate\Support\Facades\Auth;
    use Livewire\Component;

    class MyTicketsOpen extends Component
    {
        public function render()
        {
            $open_tickets = Tickets::leftJoin('users', 'tickets.user_id', '=', 'users.id')
                ->where('user_id', '=', Auth::user()->id)
                ->where('status', '!=', 'closed')
                ->count();

            return view('livewire.my-tickets-open', [
                'open_tickets' => $open_tickets,
            ]);
        }
    }
