<?php

    namespace App\Livewire;

    use App\Models\Tickets;
    use Illuminate\Support\Facades\Auth;
    use Livewire\Component;

    class MyTicketsResolved extends Component
    {
        public function render()
        {
            $resolved_tickets = Tickets::leftJoin('users', 'tickets.user_id', '=', 'users.id')
                ->where('user_id', '=', Auth::user()->id)
                ->where('status', '=', 'closed')
                ->count();

            return view('livewire.my-tickets-resolved', [
                'resolved_tickets' => $resolved_tickets,
            ]);
        }
    }
