<?php

    namespace App\Livewire\Tickets;

    use App\Http\Controllers\AgentsController;
    use App\Models\User;
    use Livewire\Component;

    class AssignedTo extends Component
    {
        public $current_assigned_agent;

        public $account_manager;

        public $ticket_id;

        public $assigned;

        public function save()
        {
            AgentsController::change([
                'ticket_id' => $this->ticket_id,
                'assigned' => $this->assigned,
            ]);
            $this->redirect('/tickets/show/'.$this->ticket_id);

        }

        public function mount($current_assigned_agent, $ticket_id)
        {
            $this->current_assigned_agent = $current_assigned_agent;
            $this->ticket_id = $ticket_id;
        }

        public function render()
        {
            $all_agents = User::where('users.is_agent', '=', '1')
                ->get();

            if ($this->account_manager != '0') {
                $account_manager_name = User::where('users.id', '=', $this->account_manager)
                    ->select('users.name')
                    ->first()->name;
            } else {
                $account_manager_name = 'Not Applicable';
            }

            return view('livewire.tickets.assigned-to', [
                'all_agents' => $all_agents,
                'account_manager_name' => $account_manager_name,
            ]);
        }
    }
