<?php

    namespace App\Livewire\Tickets;

    use App\Http\Controllers\TicketsController;
    use Illuminate\Support\Facades\DB;
    use Livewire\Component;

    class ChangeCustomer extends Component
    {
        public $customer_id;
        public $public_name;

        public $ticket_id;

        public $new_customer = '';

        public function save()
        {
            TicketsController::change_customer([
                'ticket_id' => $this->ticket_id,
                'customer_id' => $this->new_customer,
            ]);
            $this->redirect('/tickets/show/'.$this->ticket_id);

        }

        public function mount($customer_id, $ticket_id, $public_name)
        {
            $this->customer_id = $customer_id;
            $this->ticket_id = $ticket_id;
            $this->public_name = $public_name;
        }

        public function render()
        {
            if ($this->customer_id != '0') {
                $customer_name = DB::table('users')->where('id', '=',
                    $this->customer_id)->select('name')->get()->value('name');
            } else {
                $customer_name = $this->public_name;
            }

            $customers = DB::table('users')->select('id', 'name')->get();

            return view('livewire.tickets.change-customer', [
                'all_customers' => $customers,
                'customer_name' => $customer_name,
            ]);
        }
    }
