<?php

    namespace App\Livewire\Tickets;

    use App\Http\Controllers\DepartmentsController;
    use App\Models\Departments;
    use Livewire\Component;

    class ChangeDepartment extends Component
    {

        public $current_department;
        public $department_name;

        public $ticket_id;

        public $new_department = '';

        public function save()
        {
            DepartmentsController::change([
                'ticket_id' => $this->ticket_id,
                'department_id' => $this->new_department,
            ]);
            $this->redirect('/tickets/show/'.$this->ticket_id);

        }

        public function mount($current_department, $ticket_id)
        {
            $this->current_department = $current_department;
            $this->ticket_id = $ticket_id;
        }

        public function render()
        {
            $departments = Departments::get();

            return view('livewire.tickets.change-department', [
                'all_departments' => $departments,
                'current_department' => $this->current_department,
                'department_name' => $this->department_name,
            ]);
        }
    }
