<?php

    namespace App\Livewire\Tickets;

    use App\Http\Controllers\PrioritiesController;
    use Livewire\Component;

    class ChangePriority extends Component
    {

        public $current_priority;

        public $priority_name;

        public $ticket_id;

        public $new_priority = '';


        public function save()
        {
            PrioritiesController::change([
                'ticket_id' => $this->ticket_id,
                'priority' => $this->new_priority,
            ]);
            $this->redirect('/tickets/show/'.$this->ticket_id);

        }

        public function mount($current_priority, $ticket_id)
        {
            $this->current_priority = $current_priority;
        }

        public function render()
        {
            return view('livewire.tickets.change-priority', [
                'current_priority' => $this->current_priority,
                'priority_name' => $this->priority_name,
            ]);
        }
    }
