<?php

    namespace App\Livewire\Tickets;

    use App\Http\Controllers\StatusController;
    use Livewire\Component;

    class ChangeStatus extends Component
    {
        public $current_status;

        public $status_name;

        public $ticket_id;

        public $new_status = '';

        public function save()
        {
            StatusController::update([
                'ticket_id' => $this->ticket_id,
                'status' => $this->new_status,
            ]);

            $this->redirect('/tickets/show/'.$this->ticket_id);

        }

        public function mount($current_status, $ticket_id)
        {
            $this->current_status = $current_status;
            $this->ticket_id = $ticket_id;
        }

        public function render()
        {
            return view('livewire.tickets.change-status', [
                'current_status' => $this->current_status,
                'status_name' => $this->status_name,
            ]);
        }
    }
