<?php

    namespace App\Livewire\Tickets;

    use App\Models\Tickets;
    use Carbon\CarbonInterval;
    use Illuminate\Support\Facades\DB;
    use Livewire\Component;

    class EtaTime extends Component
    {
        public $department_id;

        public function mount($department_id)
        {
            $this->department_id = $department_id;
        }

        public function render()
        {
            $estimated_time = Tickets::select(DB::raw('AVG(TIMESTAMPDIFF(MINUTE, updated_by_client_at, updated_at)) as average_time'))
                ->where('department_id', '=', $this->department_id)
                ->where('updated_by_client_at', '!=', null)
                ->where('status', '!=', '1')
                ->first();

            $eta = CarbonInterval::minutes((int) $estimated_time->average_time)->cascade();
            return view('livewire.tickets.eta-time', [
                'estimated_time' => $eta,
            ]);
        }
    }
