<?php

    namespace App\Livewire\Tickets;

    use App\Models\Tickets;
    use Livewire\Component;

    class PriorityOpen extends Component
    {
        public $agent;

        public function mount($agent)
        {
            $this->agent = $agent;
        }

        public function render()
        {
            if ($this->agent == '0') {
                $open_priority_tickets = Tickets::where('status', '!=', 'closed')
                    ->where('priority', '!=', 'low')
                    ->where('priority', '!=', 'medium')
                    ->count();
            } else {
                $open_priority_tickets = Tickets::where('assigned', '=', $this->agent)
                    ->where('status', '!=', 'closed')
                    ->where('priority', '!=', 'low')
                    ->where('priority', '!=', 'medium')
                    ->count();
            }

            return view('livewire.tickets.priority-open', [
                'open_priority_tickets' => $open_priority_tickets,
            ]);
        }
    }
