<?php

    namespace App\Livewire\Tickets;

    use App\Http\Controllers\TicketsController;
    use Illuminate\Support\Facades\Auth;
    use Livewire\Component;

    class Ratings extends Component
    {
        public $rating = 0;

        public $ticket_id;

        public $client_id;

        public function save()
        {
            if (Auth::user()->id == $this->client_id) {
                TicketsController::change_rating([
                    'rating' => $this->rating,
                    'ticket_id' => $this->ticket_id,
                ]);
                $this->redirect('/tickets/show/'.$this->ticket_id);
            }
        }

        public function mount($rating, $ticket_id, $client_id)
        {
            $this->rating = $rating;
            $this->ticket_id = $ticket_id;
            $this->client_id = $client_id;
        }

        public function render()
        {
            return view('livewire.tickets.ratings');
        }
    }
