<?php

    namespace App\Livewire\Tickets;

    use App\Models\Responses;
    use App\Models\Tickets;
    use Illuminate\Support\Facades\Auth;
    use Livewire\Component;

    class Replies extends Component
    {
        public $ticket_id;

        public function mount($ticket_id)
        {
            $this->ticket_id = $ticket_id;
        }

        public function render()
        {
            if (Auth::check() and Auth::user()->id) {
                $user_id = Auth::user()->id;
            }

            if (Auth::check()) {
                $check_ticket = Tickets::where('tickets.id', '=', $this->ticket_id)
                    ->where('tickets.user_id', '=', $user_id)
                    ->first();
            } else {
                $check_ticket = Tickets::where('tickets.id', '=', $this->ticket_id)
                    ->first();
            }
            if ($check_ticket != null or Auth::user()->is_agent != '0') {

                $responses = Responses::where('responses.ticket_number', '=', $this->ticket_id)
                    ->leftJoin('users', 'responses.response_user_id', '=', 'users.id')
                    ->select('responses.*', 'users.id', 'users.name', 'users.company', 'users.is_agent',
                        'users.profile_photo_path')
                    ->selectRaw('users.company as company_name, users.id as client_id, responses.id as response_id')
                    ->get();


                return view('livewire.tickets.replies', [
                    'responses' => $responses
                ]);
            } else {
                return false;
            }
        }
    }
