<?php

    namespace App\Livewire;

    use App\Models\Tickets;
    use Livewire\Component;

    class TicketsOpen extends Component
    {
        public $agent;

        public function mount($agent)
        {
            $this->agent = $agent;
        }

        public function render()
        {
            if ($this->agent == '0') {
                $open_tickets = Tickets::where('status', '!=', 'closed')
                    ->count();
            } else {
                $open_tickets = Tickets::where('status', '!=', 'closed')
                    ->where('assigned', '=', $this->agent)
                    ->count();
            }

            return view('livewire.tickets-open', [
                'open_tickets' => $open_tickets,
            ]);
        }
    }
