<?php

    namespace App\Livewire;

    use App\Models\Tickets;
    use Livewire\Component;

    class TicketsResolved extends Component
    {
        public $agent;

        public function mount($agent)
        {
            $this->agent = $agent;
        }

        public function render()
        {
            if ($this->agent == '0') {
                $resolved_tickets = Tickets::where('status', '=', 'closed')
                    ->count();
            } else {
                $resolved_tickets = Tickets::where('status', '=', 'closed')
                    ->where('assigned', '=', $this->agent)
                    ->count();
            }

            return view('livewire.tickets-resolved', [
                'resolved_tickets' => $resolved_tickets,
            ]);
        }
    }
