<?php

    namespace App\Models;

    use Illuminate\Database\Eloquent\Factories\HasFactory;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;

    class Responses extends Model
    {
        use HasFactory;

        /**
         * The attributes that are mass assignable.
         *
         * @var array<int, string>
         */
        protected $fillable = [
            'response_user_id', 'ticket_number', 'response_title', 'response_content', 'response_type', 'is_note',
            'agent_response', 'ip_address',
        ];

        /**
         * The attributes that should be hidden for serialization.
         *
         * @var array<int, string>
         */
        protected $hidden = [];

        /**
         * The attributes that should be cast.
         *
         * @var array<string, string>
         */
        protected $casts = [];

        /**
         * The accessors to append to the model's array form.
         *
         * @var array<int, string>
         */
        protected $appends = [];

        public function ticket(): BelongsTo
        {
            return $this->belongsTo(Ticket::class());
        }
    }
