@section('title', 'Clients assigned to me - Ticaga')
<x-app-layout>
    <x-slot name="header" class="bg-white dark:bg-gray-900">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('My Clients') }}
        </h2>
    </x-slot>
    <div class="max-w-7xl grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-4 sm:gap-6 mx-auto">
        @if(Auth::user()->is_agent == '1')
            <div>
                <div class="card bg-white dark:bg-gray-900 text-neutral dark:text-gray-100">
                    <div class="card-body">
                        <h2 class="card-title">Assigned Clients</h2>
                        <h1 style="float-right">
                            <livewire:clients.assigned :agent="Auth::user()->id"/>
                        </h1>
                    </div>
                </div>
            </div>
            <div>
                <div class="card bg-white dark:bg-gray-900 text-neutral dark:text-gray-100">
                    <div class="card-body">
                        <h2 class="card-title">Assigned Tickets</h2>
                        <h1 style="float-right">
                            <livewire:tickets_open :agent="Auth::user()->id"/>
                        </h1>
                    </div>
                </div>
            </div>
        @endif
    </div>
    <div class="mt-3">
        <div class="max-w-7xl mx-auto overflow-x-auto">
            <div class="bg-white dark:bg-gray-700 overflow-hidden shadow-xl sm:rounded-lg">
                <div class="flex flex-col">
                    <div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
                        <div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
                            <div class="overflow-hidden">
                                <livewire:clients.mine/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
