<div wire:poll.visible class="max-w-7xl mx-auto sm:px-6 lg:px-8 mt-4">
    <div class="bg-white dark:bg-gray-700 overflow-hidden shadow-xl sm:rounded-lg">
        <div
            class="p-3 bg-white dark:bg-gray-700 dark:bg-gradient-to-bl dark:from-gray-700/50 dark:via-transparent border-b border-gray-200 dark:border-gray-700">
            <section class="bg-white dark:bg-gray-700">
                <div class="container px-6 py-10 mx-auto">
                    <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
                        {{ __('OpenTickets') }}
                    </h2>
                    @if($tickets->total() > 0)
                        <div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
                            <div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
                                <div class="overflow-hidden">
                                    <table class="min-w-full text-left text-sm font-light">
                                        <thead
                                            class="border-b bg-white font-medium dark:border-gray-500 dark:bg-gray-700 dark:text-white">
                                        <tr>
                                            <th scope="col" class="px-6 py-4">
                                                <x-livewire.tickets.sortable column="ticket_id" :$sortColumn :$sortAsc>
                                                    #
                                                </x-livewire.tickets.sortable>
                                            </th>
                                            <th scope="col" class="px-6 py-4">Subject</th>
                                            <th scope="col" class="px-6 py-4">
                                                <x-livewire.tickets.sortable column="status" :$sortColumn :$sortAsc>
                                                    Status
                                                </x-livewire.tickets.sortable>
                                            </th>
                                            <th scope="col" class="px-6 py-4">
                                                <x-livewire.tickets.sortable column="priority" :$sortColumn :$sortAsc>
                                                    Priority
                                                </x-livewire.tickets.sortable>
                                            </th>
                                            <th scope="col" class="px-6 py-4">Department</th>
                                            <th scope="col" class="px-6 py-4"></th>
                                        </tr>
                                        </thead>
                                        <tbody wire:poll.visible>
                                        @foreach($tickets as $ticket)
                                            <tr wire:key="{{ $ticket->ticket_id }}"
                                                class="border-b bg-gray-100 dark:border-gray-800 dark:bg-gray-900 dark:text-white">
                                                <td class="whitespace-nowrap px-6 py-4 font-medium">{{ $ticket->ticket_id }}</td>
                                                <td class="whitespace-nowrap px-6 py-4">{{ str($ticket->subject)->words(6) }}</td>
                                                <td class="whitespace-nowrap px-6 py-4 capitalize">
                                                    <div class="badge text-white text-xs px-2 py-2 border-transparent"
                                                         style="background: #1f2937;">{{ $ticket->status }}
                                                    </div>
                                                </td>
                                                <td class="whitespace-nowrap px-6 py-4 capitalize">
                                                    <div class="badge text-white text-xs px-2 py-2 border-transparent"
                                                         style="background: #111827;">{{ $ticket->priority }}
                                                    </div>
                                                </td>
                                                <td class="whitespace-nowrap px-6 py-4">
                                                    {{ $ticket->department_name }}
                                                </td>
                                                <td class="whitespace-nowrap px-6 py-4">
                                                    <a class="btn btn-sm btn-neutral text-white"
                                                       href="{{ env('APP_URL') }}/tickets/show/{{ $ticket->ticket_id }}">View
                                                    </a>
                                                    <button class="btn btn-sm btn-error text-white"
                                                            type="button"
                                                            wire:click="close({{ $ticket->ticket_id }})"
                                                            wire:confirm="Are you sure you want to close this ticket?\n\n{{ str($ticket->subject)->words(6) }} by {{ $ticket->client_name }}?">
                                                        Close
                                                    </button>
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                    @if($tickets->total() > '10')
                                        <div class="mt-3 mb-1 px-5">
                                            {{ $tickets->links('livewire.tickets.pagination') }}
                                        </div>
                                    @endif
                                </div>
                            </div>
                            @else
                                <div class="mt-4">
                                    <div
                                        class="flex items-center p-4 mb-4 text-white rounded-lg alert bg-blue-900 dark:bg-gray-800"
                                        role="alert">
                                        Sorry! You don't have any open tickets yet?
                                    </div>
                                </div>
                            @endif
                        </div>
                </div>
            </section>
        </div>
    </div>
</div>
