<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" x-data="{darkMode: false}"
      :class="{'dark': darkMode === true }">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>@yield('title', config('app.name', 'Ticaga'))</title>

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet"/>

    <!-- Scripts -->
    @vite(['resources/css/app.css', 'resources/js/app.js'])

    <!-- Styles -->
    @livewireStyles
</head>
<body x-cloak x-data="{darkMode: $persist(false)}" :class="{'dark': darkMode === true }"
      class="antialiased min-h-screen flex flex-col flex-auto flex-shrink-0 antialiased bg-slate-100 dark:bg-slate-700 text-black dark:text-white">
<x-mary-toast/>
<div class="font-sans text-gray-900 dark:text-gray-100 antialiased">
    {{ $slot }}
</div>

@livewireScripts
</body>
</html>
