<div>
    <form wire:submit="save">
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Name</span>
            </div>
            <input
                class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                type="text" wire:model.live.blur="name" name="name">
            @error('name') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Company</span>
            </div>
            <input
                class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                type="text" wire:model.live.blur="company" name="company">
            @error('company') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Email Address</span>
            </div>
            <input
                class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                type="text" wire:model.live.blur="email" name="email">
            @error('email') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Phone number</span>
            </div>
            <input
                class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                type="text" wire:model.live.blur="phone_number" name="phone_number">
            @error('phone_number') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Account</span>
            </div>
            <select name="is_agent" wire:model.live="is_agent"
                    class="select select-bordered select-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150 capitalize">
                <option value="0" @if($is_agent == '0') selected @endif>Customer</option>
                <option value="1" @if($is_agent == '1') selected @endif>Employee</option>
            </select>
            @error('is_agent') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Account Manager</span>
            </div>
            <select name="account_manager" wire:model.live="account_manager"
                    class="select select-bordered select-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150 capitalize">
                <option value="0" @if($account_manager == '0') selected @endif>Not set</option>
                @foreach($account_managers as $manager)
                    <option
                        value={{ $manager->id }} @if($account_manager != '0' and $account_manager == $manager->id) selected @endif>{{ $manager->name }}</option>
                @endforeach
            </select>
            @error('account_manager') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <button class="btn btn-neutral mt-3" type="submit">{{ __('Update') }}</button>
    </form>
</div>
