@php use Illuminate\Support\Facades\Auth; @endphp
<tbody>
@foreach($users as $user)
    <tr wire:key="{{ $user->id }}"
        class="border-b bg-gray-100 dark:border-gray-800 dark:bg-gray-900 dark:text-white">
        <td class="whitespace-nowrap px-6 py-4 capitalize">{{ $user->id }}</td>
        <td class="whitespace-nowrap px-6 py-4 capitalize">
            @if($user->is_agent == '1')
                <span class="text-sky-500 dark:text-sky-400 font-bold">{{ $user->name }}</span>
            @else
                {{ $user->name }}
            @endif
        </td>
        <td class="whitespace-nowrap px-6 py-4 capitalize">{{ $user->company }}</td>
        <td class="whitespace-nowrap px-6 py-4">{{ $user->email }}</td>
        <td class="whitespace-nowrap px-6 py-4 capitalize">
            @if($user->account_manager == Auth::user()->id)
                <span>{{ _('You') }}</span>
            @else
                @foreach($account_manager as $manager)
                    @if($user->account_manager == $manager->account_id)
                        {{ $manager->account_name }}
                    @endif
                @endforeach
            @endif
        </td>
        <td class="whitespace-nowrap px-6 py-4 capitalize">
            <livewire:clients.buttons :$user>
        </td>
    </tr>
@endforeach
</tbody>
