<div class="overflow-hidden">
    @if($clients->total() > 0)
        <table class="min-w-full text-left text-sm font-light">
            <thead
                class="border-b bg-white font-medium dark:border-gray-500 dark:bg-gray-700 dark:text-white">
            <tr>
                <th scope="col" class="px-6 py-4">#</th>
                <th scope="col" class="px-6 py-4">Client Name</th>
                <th scope="col" class="px-6 py-4">Company</th>
                <th scope="col" class="px-6 py-4">Email Address</th>
                <th scope="col" class="px-6 py-4"></th>
            </tr>
            </thead>
            <tbody>
            @foreach($clients as $client)
                <tr wire:key="{{ $client->id }}"
                    class="border-b bg-gray-100 dark:border-gray-800 dark:bg-gray-900 dark:text-white">
                    <td class="whitespace-nowrap px-6 py-4 capitalize">{{ $client->id }}</td>
                    <td class="whitespace-nowrap px-6 py-4 capitalize">
                        @if($client->is_agent == '1')
                            <span class="text-sky-500 dark:text-sky-400 font-bold">{{ $client->name }}</span>
                        @else
                            {{ $client->name }}
                        @endif
                    </td>
                    <td class="whitespace-nowrap px-6 py-4 capitalize">{{ $client->company }}</td>
                    <td class="whitespace-nowrap px-6 py-4">{{ $client->email }}</td>
                    <td class="whitespace-nowrap px-6 py-4 capitalize">
                        <livewire:clients.buttons :user="$client"/>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
        <div class="mt-3 mb-1 px-3">
            @if($clients->total() > '10')
                {{ $clients->links('livewire.tickets.pagination') }}
            @endif
        </div>
    @else
        <div class="px-4 mt-4">
            <div
                class="flex items-center p-4 mb-4 text-white rounded-lg alert bg-blue-900 dark:bg-gray-800"
                role="alert">
                Sorry there aren't any clients assigned to you.
            </div>
        </div>
    @endif
</div>
