<section class="max-w-7xl mx-auto sm:px-6 lg:px-8 mt-4">
    <div class="bg-white dark:bg-gray-700 overflow-hidden shadow-xl sm:rounded-lg">
        <div
            class="p-3 bg-white dark:bg-gray-700 dark:bg-gradient-to-bl dark:from-gray-700/50 dark:via-transparent border-b border-gray-200 dark:border-gray-700">
            <section class="bg-white dark:bg-gray-700">
                <div class="container px-6 py-10 mx-auto">
                    <div class="lg:-mx-6 lg:flex lg:items-center">
                        <img class="object-cover object-center lg:mx-6 rounded-lg lg:h-auto"
                             src="@if($user->profile_photo_path != null){{ $user->profile_photo_path }}@else@php echo "https://gravatar.com/avatar/". hash('sha256', strtolower(trim($user->email)))."?s=200.png"; @endphp @endif"
                             alt="">

                        <div class="mt-8 lg:w-1/2 lg:px-6 lg:mt-0">
                            <h1 class="text-2xl font-semibold font-medium text-blue-900 dark:text-white lg:text-3xl lg:w-96">
                                {{ $user->name }}
                                @if($user->is_agent == '1')
                                    <span class=" px-3 text-white bg-sky-500 dark:bg-sky-400 rounded-md">Agent</span>
                                @endif
                            </h1>
                            <p class="text-gray-600 dark:text-gray-300">{{ $user->company }}</p>
                            <p class="mt-8 text-gray-600 dark:text-gray-300">
                                <span class="font-semibold">Email Address:</span> {{ $user->email }}</p>
                            <p class="text-gray-600 dark:text-gray-300">
                                <span class="font-semibold">Phone Number:</span> {{ $user->phone_number }}</p>
                            @if($user->account_manager != '0')
                                <p class="text-gray-600 dark:text-gray-300">
                                <span class="font-semibold">Account
                                Manager:</span> {{ $account_managers[0]->name }}
                                    ({{ $account_managers[0]->email }})</p>
                            @endif
                        </div>
                    </div>
                    <livewire:clients.buttons :$user/>
                </div>
        </div>
</section>
