<div>
    <form wire:submit="save">
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Department Name</span>
            </div>
            <input
                class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                type="text" wire:model.live="department_name">
            @error('department_name') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Department Slug (Optional)</span>
            </div>
            <input
                class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                type="text" wire:model.live="slug">
            @error('slug') <em class="dark:text-white">{{ $message }}</em>@enderror
            <p class="text-gray-400 dark:text-white">{{ env('APP_URL') }}/tickets/open/{{ $slug }}</p>
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Department Description</span>
            </div>
            <input
                class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                type="text" wire:model.live="department_description">
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Department Email Address</span>
            </div>
            <input
                class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                type="text" wire:model.live="department_email">
            @error('department_email') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Allow High Priority</span>
            </div>
            <select name="allows_high_priority" wire:model.live="allows_high_priority"
                    class="select select-bordered select-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150 capitalize">
                <option>Will this department allow high priority?</option>
                <option value="1" wire:key="1">
                    Yes
                </option>
                <option value="0" wire:key="0">
                    No
                </option>
            </select>
            @error('allows_high_priority') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Display department</span>
            </div>
            <select name="display_department" wire:model.live="display_department"
                    class="select select-bordered select-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150 capitalize">
                <option>Will this department be shown to anyone?</option>
                <option value="0" wire:key="0">
                    Private
                </option>
                <option value="1" wire:key="1">
                    Public
                </option>
                <option value="2" wire:key="2">
                    Only Clients
                </option>
            </select>
            @error('display_department') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Department Disabled</span>
            </div>
            <select name="is_disabled" wire:model.live="is_disabled"
                    class="select select-bordered select-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150 capitalize">
                <option>Is this department disabled?</option>
                <option value="0" wire:key="0">
                    No
                </option>
                <option value="1" wire:key="1">
                    Yes
                </option>
            </select>
            @error('is_disabled') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <button class="btn btn-neutral mt-3" type="submit">{{ __('Edit') }}</button>
    </form>
</div>

