@php use Illuminate\Support\Facades\Auth; @endphp
<div wire:poll.visible>
    @if($department_count  != '0')
        <div class="max-w-7xl grid grid-cols-1 lg:grid-cols-3 gap-4 sm:gap-6 mx-auto mt-4">
            @foreach($departments as $department)
                @if($department->is_disabled != '1' and $department->soft_deleted != '1')
                    <div class="indicator mb-4">
                        @if(Auth::check() and Auth::user()->is_agent)
                            <div class="indicator-item indicator-top indicator-center">
                                <a href="{{ env('APP_URL') }}/departments/edit/{{ $department->id }}"
                                   class="btn btn-sm btn-neutral dark:btn-neutral text-white">
                                    Edit
                                </a>
                                @if(Auth::user()->id == '1')
                                    <button class="btn btn-sm btn-error text-white"
                                            wire:click="delete({{ $department->id }})"
                                            wire:confirm="Are you sure you want to delete this department?">
                                        Delete
                                    </button>
                                @else
                                    @if($department->soft_deleted != '1')
                                        <button class="btn btn-sm btn-error text-white"
                                                wire:click="soft_delete({{ $department->id }})"
                                                wire:confirm="Are you sure you want to delete this department?">
                                            Soft Delete
                                        </button>
                                    @endif
                                @endif
                                @if($department->soft_deleted == '1' and Auth::user()->id == '1')
                                    <button class="btn btn-sm btn-error text-white"
                                            wire:click="restore({{ $department->id }})"
                                            wire:confirm="Are you sure you want to restore this department?">
                                        Soft Delete
                                    </button>
                                @endif
                            </div>
                        @endif
                        <a href="{{ env('APP_URL') }}/tickets/open/{{ $department->slug }}">
                            <div class="card bg-white dark:bg-gray-900 text-neutral dark:text-gray-100 min-h-44"
                                 style="min-width: 350px;">
                                <div class="card-body">
                                    <h2 class="card-title">{{ $department->department_name }}</h2>
                                    <h1>
                                        <span class="capitalize">
                                                <p class="text-gray-700 text-base dark:text-white">
                                                    @if($department->department_description != '')
                                                        {{ $department->department_description }}
                                                    @endif
                                            </p>
                                        </span>
                                    </h1>
                                </div>
                                <div class="px-6 pb-2">
                                    @if($department->show_opening_hours == '1')
                                        <span
                                            class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700 mr-2 mb-2">
                                            Open times:
                                            @if($department->department_open or $department->department_closed != '')
                                                {{ Carbon\Carbon::parse($department->department_open)->format('D H:i') }}
                                                - {{ Carbon\Carbon::parse($department->department_closed)->format('D H:i') }}
                                            @else
                                                {{ __('24 Hours') }}
                                            @endif
                                        </span>
                                    @endif
                                </div>
                            </div>
                        </a>
                    </div>
                @elseif(Auth::check() and Auth::user()->id == '1')
                    <div class="indicator mb-4">
                        @if(Auth::check() and Auth::user()->is_agent)
                            <div class="indicator-item indicator-top indicator-center">
                                <a href="{{ env('APP_URL') }}/departments/edit/{{ $department->id }}"
                                   class="btn btn-sm btn-neutral dark:btn-neutral text-white">
                                    Edit
                                </a>
                                @if(Auth::user()->id == '1')
                                    <button class="btn btn-sm btn-error text-white"
                                            wire:click="delete({{ $department->id }})"
                                            wire:confirm="Are you sure you want to delete this department?">
                                        Delete
                                    </button>
                                @else
                                    @if($department->soft_deleted != '1')
                                        <button class="btn btn-sm btn-error text-white"
                                                wire:click="soft_delete({{ $department->id }})"
                                                wire:confirm="Are you sure you want to delete this department?">
                                            Soft Delete
                                        </button>
                                    @endif
                                @endif
                                @if($department->soft_deleted == '1' and Auth::user()->id == '1')
                                    <button class="btn btn-sm btn-info text-white"
                                            wire:click="restore({{ $department->id }})"
                                            wire:confirm="Are you sure you want to restore this department?">
                                        Restore
                                    </button>
                                @endif
                            </div>
                        @endif
                        <a href="{{ env('APP_URL') }}/tickets/open_ticket/{{ $department->id }}">
                            <div class="card bg-white dark:bg-gray-900 text-neutral dark:text-gray-100 min-h-44"
                                 style="min-width: 350px;">
                                <div class="card-body">
                                    <h2 class="card-title">{{ $department->department_name }}</h2>
                                    <h1>
                                        <span class="capitalize">
                                                <p class="text-gray-700 text-base dark:text-white">
                                                    @if($department->department_description != '')
                                                        {{ $department->department_description }}
                                                    @endif
                                            </p>
                                        </span>
                                    </h1>
                                </div>
                                <div class="px-6 pb-2">
                                    @if($department->show_opening_hours == '1')
                                        <span
                                            class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700 mr-2 mb-2">
                                            Open times:
                                            @if($department->department_open or $department->department_closed != '')
                                                {{ Carbon\Carbon::parse($department->department_open)->format('D H:i') }}
                                                - {{ Carbon\Carbon::parse($department->department_closed)->format('D H:i') }}
                                            @else
                                                {{ __('24 Hours') }}
                                            @endif
                                        </span>
                                    @endif
                                </div>
                            </div>
                        </a>
                    </div>

                    <ul class="menu menu-horizontal bg-base-200 rounded-box mt-6">
                        <li>
                            <a class="tooltip" data-tip="Home">
                                <svg
                                    xmlns="http://www.w3.org/2000/svg"
                                    class="h-5 w-5"
                                    fill="none"
                                    viewBox="0 0 24 24"
                                    stroke="currentColor">
                                    <path
                                        stroke-linecap="round"
                                        stroke-linejoin="round"
                                        stroke-width="2"
                                        d="M3 12l2-2m0 0l7-7 7 7M5 10v10a1 1 0 001 1h3m10-11l2 2m-2-2v10a1 1 0 01-1 1h-3m-6 0a1 1 0 001-1v-4a1 1 0 011-1h2a1 1 0 011 1v4a1 1 0 001 1m-6 0h6"/>
                                </svg>
                            </a>
                        </li>
                        <li>
                            <a class="tooltip" data-tip="Details">
                                <svg
                                    xmlns="http://www.w3.org/2000/svg"
                                    class="h-5 w-5"
                                    fill="none"
                                    viewBox="0 0 24 24"
                                    stroke="currentColor">
                                    <path
                                        stroke-linecap="round"
                                        stroke-linejoin="round"
                                        stroke-width="2"
                                        d="M13 16h-1v-4h-1m1-4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"/>
                                </svg>
                            </a>
                        </li>
                        <li>
                            <a class="tooltip" data-tip="Stats">
                                <svg
                                    xmlns="http://www.w3.org/2000/svg"
                                    class="h-5 w-5"
                                    fill="none"
                                    viewBox="0 0 24 24"
                                    stroke="currentColor">
                                    <path
                                        stroke-linecap="round"
                                        stroke-linejoin="round"
                                        stroke-width="2"
                                        d="M9 19v-6a2 2 0 00-2-2H5a2 2 0 00-2 2v6a2 2 0 002 2h2a2 2 0 002-2zm0 0V9a2 2 0 012-2h2a2 2 0 012 2v10m-6 0a2 2 0 002 2h2a2 2 0 002-2m0 0V5a2 2 0 012-2h2a2 2 0 012 2v14a2 2 0 01-2 2h-2a2 2 0 01-2-2z"/>
                                </svg>
                            </a>
                        </li>
                    </ul>
                @endif
            @endforeach
        </div>
    @else
        <div class="max-w-7xl mx-auto">
            <div class="px-4 mt-4">
                <div
                    class="flex items-center p-4 mb-4 text-white rounded-lg alert bg-blue-900 dark:bg-gray-800"
                    role="alert">
                    Sorry there aren't any support departments.
                </div>
            </div>
        </div>
    @endif
</div>
