<div>
    <form wire:submit="send">
        <div class="grid grid-cols-1 gap-x-6 gap-y-8 sm:grid-cols-6">
            @if(Auth::check() and Auth::user()->is_agent != '0')
                <div class="sm:col-span-3">
                    @else
                        <div class="col-span-full">
                            @endif
                            <label for="response_title"
                                   class="block text-sm font-medium leading-6 text-gray-900 dark:text-white">Response
                                Title</label>
                            <div class="mt-2">
                                <input type="text" wire:model.live.blur="response_title" name="response_title"
                                       id="response_title"
                                       placeholder="You can enter a title for your reply, this is optional."
                                       class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150 w-full">
                            </div>
                        </div>
                        @if(Auth::check() and Auth::user()->is_agent != '0')
                            <div class="sm:col-span-3">
                                <label for="response_type"
                                       class="block text-sm font-medium leading-6 text-gray-900 dark:text-white">Response
                                    Type</label>
                                <div class="mt-2">
                                    <select wire:model.live="response_type" id="response_type" name="response_type"
                                            class="select select-bordered select-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150 capitalize w-full">
                                        <option value="0">Response</option>
                                        <option value="1">Private Note</option>
                                    </select>
                                </div>
                            </div>
                        @endif
                        <div class="col-span-full">
                            <label for="response_content"
                                   class="block text-sm font-medium leading-6 text-gray-900 dark:text-white">Response</label>
                            <div class="mt-2">
                                <textarea wire:model.live="response_content" id="response_content"
                                          name="response_content"
                                          rows="3"
                                          class="textarea textarea-ghost resize-ta border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"></textarea>
                                <small>Words: <span
                                        x-text="$wire.response_content.split(' ').length - 1"></span></small>
                                @error('response_content') <em>{{ $message }}</em>@enderror
                            </div>
                            <p class="mt-3 text-sm leading-6 text-gray-600 dark:text-white">Write your response to the
                                ticket here,
                                provide as much
                                information as you believe is needed for our team to help you.</p>
                        </div>
                        <div class="col-span-full">
                            <button type="submit" class="btn btn-neutral">Save</button>
                            <button class="btn btn-error text-white"
                                    type="button"
                                    wire:click="close({{ $ticket_id }})">
                                Close
                            </button>
                        </div>
    </form>
</div>
