<div>
    <form wire:submit="save">
        @if(!Auth::check())
            <div role="alert" class="alert alert-info">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                     class="stroke-current shrink-0 w-6 h-6">
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                          d="M13 16h-1v-4h-1m1-4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"></path>
                </svg>
                <span>Hey! You're not logged in.. Please be aware this ticket won't be linked to your account.</span>
            </div>
            <label class="form-control">
                <div class="label">
                    <span class="label-text dark:text-white">Name</span>
                </div>
                <input
                    class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                    type="text" wire:model.live.blur="public_name" name="public_name">
                @error('public_name') <em class="dark:text-white">{{ $message }}</em>@enderror
            </label>
            <label class="form-control">
                <div class="label">
                    <span class="label-text dark:text-white">Email Address</span>
                </div>
                <input
                    class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                    type="text" wire:model.live="public_email" name="public_email">
                @error('public_email') <em class="dark:text-white">{{ $message }}</em>@enderror
            </label>
        @endif
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Subject</span>
            </div>
            <input
                class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                type="text" wire:model.live="subject" name="subject">
            @error('subject') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">CC</span>
            </div>
            <input
                class="input input-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                type="text" wire:model.live="cc" name="cc">
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Priority</span>
            </div>
            <select name="priority" wire:model.live="priority"
                    class="select select-bordered select-ghost border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150 capitalize">
                <option class="dark:text-white">Select a priority</option>
                @if($department_info->allows_high_priority == '1')
                    @foreach (App\Enums\Priorities::cases() as $case)
                        <option value="{{ $case->value }}" wire:key="{{ $case->value }}">
                            {{ $case->label() }}
                        </option>
                    @endforeach
                @else
                    @foreach (App\Enums\Priorities::cases() as $case)
                        @if(!$case->priority())
                            <option value="{{ $case->value }}" wire:key="{{ $case->value }}">
                                {{ $case->label() }}
                            </option>
                        @endif
                    @endforeach
                @endif
            </select>
            @error('priority') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <label class="form-control">
            <div class="label">
                <span class="label-text dark:text-white">Ticket response</span>
            </div>
            <textarea
                class="textarea textarea-ghost resize-ta border-1 ring-1 ring-inset ring-gray-300 dark:ring-gray-800 px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none focus:bg-gray-50 dark:focus:bg-gray-700 transition ease-in-out duration-150"
                placeholder=""
                wire:model.live="content" name="content"></textarea>
            @error('content') <em class="dark:text-white">{{ $message }}</em>@enderror
        </label>
        <p class="mt-1 text-sm leading-6 text-gray-600 dark:text-white">
            Your IP Address: {{ $ip_address }} is recorded on submission.</p>
        <button class="btn btn-neutral mt-3" type="submit">Create</button>
    </form>
</div>
