<div wire:poll.visible>
    @foreach($responses as $response)
        {{-- Client responses --}}
        @if($response->agent_response == '0')
            <div class="chat chat-start">
                <div class="chat-image avatar">
                    <div class="w-10 rounded-full">
                        @if($response->profile_photo_path != 'NULL')
                            <img class="h-8 w-8 rounded-full object-cover"
                                 src="{{ env('APP_URL')  }}/storage/{{ $response->profile_photo_path }}"
                                 alt="{{ $response->name }}"/>
                        @else
                            <img class="h-8 w-8 rounded-full object-cover"
                                 src="@php echo "https://gravatar.com/avatar/". hash('sha256', strtolower(trim($responses->email))).".png"; @endphp"
                                 alt="{{ $response->name }}"/>
                        @endif
                    </div>
                </div>
                <div class="chat-header">
                    {{ $response->name }} @if(isset($response->company_name))
                        :: {{ $response->company_name  }}
                    @endif
                </div>
                <div class="chat-bubble whitespace-pre-line">{{ $response->response_content }}</div>
                <div class="chat-footer opacity-70">
                    <span
                        class="flex text-xs font-normal text-gray-500 dark:text-gray-400 space-x-1">
                            Replied: <time class="text-xs dark:text-white">
                                        {{ Carbon\Carbon::parse($response->created_at)->format('jS F Y H:i') }}
                                    </time>
                        </span>
                </div>
                <div class="chat-footer opacity-70 mt-4">
                    <span
                        class="flex text-xs font-normal text-gray-500 dark:text-gray-400 space-x-1">
                            IP Address: {{ $response->ip_address }}
                        </span>
                </div>
            </div>
        @elseif($response->agent_response == '1')
            {{-- Agent's note responses, these are displayed to Agents only. --}}
            @if($response->is_note == '1' and Auth::user()->is_agent == '1')
                <div class="chat chat-end">
                    <div class="chat-image avatar">
                        <div class="w-10 rounded-full">
                            <img class="h-8 w-8 rounded-full object-cover"
                                 src="{{ env('APP_URL')  }}/storage/{{ $response->profile_photo_path }}"
                                 alt="{{ $response->name }}"/>
                        </div>
                    </div>
                    <div class="chat-header">
                        {{ $response->name }} - Note
                    </div>
                    <div
                        class="chat-bubble chat-bubble-warning whitespace-pre-line">{{ $response->response_content }}</div>
                    <div class="chat-footer">
                        <span
                            class="flex text-xs font-normal text-gray-500 dark:text-gray-400 space-x-1">
                            <time class="text-xs dark:text-white">
                                        {{ Carbon\Carbon::parse($response->created_at)->format('jS F Y H:i') }}
                                    </time>
                        </span>
                    </div>
                </div>
            @elseif($response->is_note == '0')
                {{-- Agents responses that aren't private notes. --}}
                <div class=" chat chat-end">
                    <div class="chat-image avatar">
                        <div class="w-10 rounded-full">
                            <img class="h-8 w-8 rounded-full object-cover"
                                 src="{{ env('APP_URL')  }}/storage/{{ $response->profile_photo_path }}"
                                 alt="{{ $response->name }}"/>
                        </div>
                    </div>
                    <div class="chat-header">
                        {{ $response->name }}
                    </div>
                    <div
                        class="chat-bubble chat-bubble-info whitespace-pre-line text-white">{{ $response->response_content }}</div>
                    <div class="chat-footer opacity-70">
                        <time
                            class="text-xs opacity-70 dark:text-white">
                            Replied: {{ Carbon\Carbon::parse($response->created_at)->format('jS F Y H:i') }}</time>
                    </div>
                </div>
            @endif
        @endif
    @endforeach
</div>
