<div wire:poll.visible>
    <div class="mt-3">
        <section class="rounded-lg">
            <div class="container">
                <div class="overflow-x-auto">
                    <div class="inline-block min-w-full">
                        <div>
                            @if($tickets->total() > 0)
                                <table
                                    class="w-full table-auto text-sm p-4 mb-4 dark:text-white rounded-lg dark:bg-gray-800">
                                    <thead
                                        class="border-b dark:border-gray-500 dark:text-white">
                                    <tr>
                                        <th scope="col" class="text-start px-6 py-4">Subject</th>
                                        <th scope="col" class="text-start px-6 py-4">Client</th>
                                        <th scope="col" class="text-start px-6 py-4">
                                            <x-livewire.tickets.sortable column="status" :$sortColumn :$sortAsc>
                                                Status
                                            </x-livewire.tickets.sortable>
                                        </th>
                                        <th scope="col" class="text-start px-6 py-4">
                                            <x-livewire.tickets.sortable column="priority" :$sortColumn :$sortAsc>
                                                Priority
                                            </x-livewire.tickets.sortable>
                                        </th>
                                        <th scope="col" class="text-start px-6 py-4">Department</th>
                                        <th scope="col" class="text-start px-6 py-4">
                                            <input wire:model.live.debounce.500ms="search" type="text"
                                                   placeholder="Search tickets"
                                                   class="transition-color block w-full max-w-[10rem] rounded-[10px] border-0 bg-gray-300 dark:bg-gray-800 pr-4 text-sm text-gray-800 dark:text-gray-300 placeholder-gray-400 dark:placeholder-gray-600 outline-none sm:max-w-none">
                                        </th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($tickets as $ticket)

                                        <tr class="dark:text-white hover:bg-grey-lighter">
                                            <td class="whitespace-nowrap px-6 py-4">{{ str($ticket->subject)->words(6) }}</td>
                                            <td class="whitespace-nowrap px-6 py-4">
                                                @if($ticket->client_name != '')
                                                    <a href="{{ env('APP_URL') }}/clients/show/{{ $ticket->user_id }}">{{ $ticket->client_name }}
                                                    </a>
                                                @else
                                                    {{ $ticket->public_name }}
                                                @endif
                                            </td>
                                            <td class="whitespace-nowrap px-6 py-4 capitalize">
                                                <div class="badge text-white text-xs px-2 py-2 border-transparent"
                                                     style="background: {{ $ticket->status->colour() ?? '#1f2937' }};">{{ $ticket->status->label() ?? 'Unknown Status' }}
                                                </div>
                                            </td>
                                            <td class="whitespace-nowrap px-6 py-4 capitalize">
                                                <div class="badge text-white text-xs px-2 py-2 border-transparent"
                                                     style="background: {{ $ticket->priority->colour() ?? '#1f2937' }};">{{ $ticket->priority->label() ?? 'No Prority' }}
                                                </div>
                                            </td>
                                            <td class="whitespace-nowrap px-6 py-4">
                                                {{ $ticket->department_name }}
                                            </td>
                                            <td class="whitespace-nowrap px-6 py-4">
                                                <a class="btn btn-sm btn-neutral text-white"
                                                   href="{{ env('APP_URL') }}/tickets/show/{{ $ticket->ticket_id }}">View
                                                </a>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            @else
                                <div class="mt-4">
                                    <div
                                        class="flex items-center p-4 mb-4 text-white rounded-lg alert bg-blue-900 dark:bg-gray-800"
                                        role="alert">
                                        Sorry, there's no tickets open at the moment.
                                    </div>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
        </section>
    </div>
</div>
