<div>
    <div class="mt-3">
        <section class="rounded-lg bg-white dark:bg-gray-700">
            <div class="container px-6 pt-6 mx-auto">
                <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
                    {{ __('Tickets') }}
                </h2>
                <div class="overflow-x-auto sm:-mx-6 lg:-mx-8 mt-4">
                    <div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
                        <div>
                            @if($tickets->total() > 0)
                                <table
                                    class="w-full table-auto text-sm p-4 mb-4 dark:text-white rounded-lg dark:bg-gray-800">
                                    <thead
                                        class="border-b dark:border-gray-500 dark:text-white">
                                    <tr>
                                        <th scope="col" class="text-start px-6 py-4">Subject</th>
                                        <th scope="col" class="text-start px-6 py-4">
                                            Status
                                        </th>
                                        <th scope="col" class="text-start px-6 py-4">
                                            Priority
                                        </th>
                                        <th scope="col" class="text-start px-6 py-4">Department</th>
                                        <th scope="col" class="text-start px-6 py-4"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($tickets as $ticket)
                                        <tr
                                            class="dark:text-white hover:bg-grey-lighter">
                                            <td class="whitespace-nowrap px-6 py-4">{{ str($ticket->subject)->words(6) }}</td>
                                            <td class="whitespace-nowrap px-6 py-4 capitalize">
                                                <div class="badge text-white text-xs px-2 py-2 border-transparent"
                                                     style="background: {{ $ticket->status->colour() ?? '#1f2937' }};">{{ $ticket->status->label() ?? 'Unknown Status' }}
                                                </div>
                                            </td>
                                            <td class="whitespace-nowrap px-6 py-4 capitalize">
                                                <div class="badge text-white text-xs px-2 py-2 border-transparent"
                                                     style="background: {{ $ticket->priority->colour() ?? '#1f2937' }};">{{ $ticket->priority->label() ?? 'No Prority' }}
                                                </div>
                                            </td>
                                            <td class="whitespace-nowrap px-6 py-4">
                                                {{ $ticket->department_name }}
                                            </td>
                                            <td class="whitespace-nowrap px-6 py-4">
                                                <a class="btn btn-sm btn-neutral text-white"
                                                   href="{{ env('APP_URL') }}/tickets/show/{{ $ticket->ticket_id }}">View
                                                </a>
                                                <button class="btn btn-sm btn-error text-white"
                                                        type="button"
                                                        wire:click="close({{ $ticket->ticket_id }})"
                                                        wire:confirm="Are you sure you want to close this ticket?\n\n{{ str($ticket->subject)->words(6) }} by {{ $ticket->client_name }}?">
                                                    Close
                                                </button>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            @else
                                <div class="mt-4">
                                    <div
                                        class="flex items-center p-4 mb-4 text-white rounded-lg alert bg-blue-900 dark:bg-gray-800"
                                        role="alert">
                                        Sorry there aren't any tickets.
                                    </div>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
                <section>
                    @if(env('DEFAULT_DEPARTMENT') != '')
                        <a href="{{ env('APP_URL') }}/tickets/open/{{ env('DEFAULT_DEPARTMENT') }}"
                           class="btn btn-success text-white w-fit">Create ticket
                        </a>
                    @endif
                </section>
        </section>
    </div>
</div>
