@php use Illuminate\Support\Facades\Auth; @endphp
<x-app-layout>
    <x-slot name="header" class="bg-white dark:bg-gray-900">
        <div class="grid grid-rows-2 grid-flow-col gap-4">
            <div class="row-start-2 row-span-2">
                <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight float-start">
                    {{ __('Support Departments') }}
                </h2>
            </div>
            @if(Auth::check() and Auth::user()->is_agent)
                <div class="row-start-1 row-end-4">
                    <a href="{{ route('create_department') }}"
                       class="btn btn-success text-white float-end">Create department
                    </a>
                </div>
            @endif
        </div>
    </x-slot>
    <div>
        <div class="overflow-visible -mt-3">
            <div class="bg-transparent dark:bg-gray-700 overflow-hidden sm:rounded-lg">
                <div class="flex flex-col pt-3 pl-3">
                    <div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
                        <div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
                            <div class="overflow-visible">
                                <livewire:departments.view/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
