@section('title', 'Tickets')
<x-app-layout>
    <x-slot name="header" class="bg-white dark:bg-gray-800">
        <div class="grid grid-rows-2 grid-flow-col gap-4">
            <div class="row-start-2 row-span-2">
                <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight float-start">
                    {{ __('Tickets') }}
                </h2>
            </div>
            @if(Auth::check())
                @if(env('DEFAULT_DEPARTMENT') != '')
                    <div class="row-start-1 row-end-4">
                        <a href="{{ env('APP_URL') }}/tickets/open/{{ env('DEFAULT_DEPARTMENT') }}"
                           class="btn btn-success text-white float-end">Create ticket
                        </a>
                    </div>
                @endif
            @endif
        </div>
    </x-slot>
    <div class="max-w-7xl grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-4 sm:gap-6 mx-auto">
        @if(Auth::user()->is_agent == '1')
            <div>
                <div class="card bg-white dark:bg-gray-900 text-neutral dark:text-gray-100">
                    <div class="card-body">
                        <h2 class="card-title">Tickets Open</h2>
                        <h1 style="float-right">
                            <livewire:tickets_open :agent="0"/>
                        </h1>
                    </div>
                </div>
            </div>
            <div>
                <div class="card bg-white dark:bg-gray-900 text-neutral dark:text-gray-100">
                    <div class="card-body">
                        <h2 class="card-title">Priority Tickets</h2>
                        <h1 style="float-right">
                            <livewire:tickets.priority-open :agent="0"/>
                        </h1>
                    </div>
                </div>
            </div>
            <div>
                <div class="card bg-white dark:bg-gray-900 text-neutral dark:text-gray-100">
                    <div class="card-body">
                        <h2 class="card-title">Tickets Resolved</h2>
                        <h1 style="float-right">
                            <livewire:tickets_resolved :agent="0"/>
                        </h1>
                    </div>
                </div>
            </div>
        @else
            <div>
                <div class="card bg-white dark:bg-gray-900 text-neutral dark:text-gray-100">
                    <div class="card-body">
                        <h2 class="card-title">Tickets Open</h2>
                        <h1 style="float-right">
                            <livewire:my_tickets_open/>
                        </h1>
                    </div>
                </div>
            </div>
            <div>
                <div class="card bg-white dark:bg-gray-900 text-neutral dark:text-gray-100">
                    <div class="card-body">
                        <h2 class="card-title">Tickets Resolved</h2>
                        <h1 style="float-right">
                            <livewire:my_tickets_resolved/>
                        </h1>
                    </div>
                </div>
            </div>
            <div>
                <div class="card bg-white dark:bg-gray-900 text-neutral dark:text-gray-100">
                    <div class="card-body">
                        <h2 class="card-title">Current time</h2>
                        <h1 style="float-right">
                            <livewire:clock/>
                        </h1>
                    </div>
                </div>
            </div>
        @endif
    </div>
    <div class="mt-3">
        <div class="max-w-7xl mx-auto overflow-x-auto">
            <div class="bg-white dark:bg-gray-700 overflow-hidden shadow-xl sm:rounded-lg">
                <div class="flex flex-col">
                    <div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
                        <div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
                            <div class="overflow-hidden">
                                <livewire:tickets.view/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
