<x-guest-layout>
    <div class="py-12">
        <div class="max-w-7xl mt-6 mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-700 overflow-hidden shadow-xl sm:rounded-lg">
                <div
                    class="p-6 lg:p-8 bg-white dark:bg-gray-700 dark:bg-gradient-to-bl dark:from-gray-500/50 dark:via-transparent border-b border-gray-200 dark:border-gray-700">
                    <h1 class="mt-8 text-2xl font-medium text-gray-900 dark:text-white">
                        Welcome to your Ticaga installation!
                    </h1>

                    <p class="mt-6 text-gray-500 dark:text-gray-400 leading-relaxed">
                        Congratulations on installing <b>Ticaga</b>, now you're one step away from using the most
                        powerful, modern help desk for your company.<br/>
                        Ticaga has been designed from the bottom up to ensure your team and customers can easily browse,
                        submit tickets and much more straight out of the box.
                        Powered by Laravel the modern and most advanced framework, we hope you can make Ticaga your own.
                    </p>
                </div>

                <div
                    class="bg-gray-200 dark:bg-gray-700 bg-opacity-25 grid grid-cols-1 md:grid-cols-2 gap-6 lg:gap-8 p-6 lg:p-8">
                    <div>
                        <div class="flex items-center">
                            <i class="fa-solid fa-book text-gray-400"></i>
                            <h2 class="ms-3 text-xl font-semibold text-gray-900 dark:text-white">
                                <a href="https://docs.ticaga.com" target="_blank">Documentation</a>
                            </h2>
                        </div>

                        <p class="mt-4 text-gray-500 dark:text-gray-400 text-sm leading-relaxed">
                            Ticaga has a fully fledged documentation website. This is where you can find all kinds of
                            hints,
                            tips
                            and tools to help you get started.
                        </p>

                        <p class="mt-4 text-sm">
                            <a href="https://docs.ticaga.com" target="_blank"
                               class="inline-flex items-center font-semibold text-blue-900  dark:text-blue-300">
                                Dive into the documentation world

                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"
                                     class="ms-1 w-5 h-5 fill-blue-500 dark:fill-blue-200">
                                    <path fill-rule="evenodd"
                                          d="M5 10a.75.75 0 01.75-.75h6.638L10.23 7.29a.75.75 0 111.04-1.08l3.5 3.25a.75.75 0 010 1.08l-3.5 3.25a.75.75 0 11-1.04-1.08l2.158-1.96H5.75A.75.75 0 015 10z"
                                          clip-rule="evenodd"/>
                                </svg>
                            </a>
                        </p>
                    </div>

                    <div>
                        <div class="flex items-center">
                            <i class="fa-brands fa-youtube text-gray-400"></i>
                            <h2 class="ms-3 text-xl font-semibold text-gray-900 dark:text-white">
                                <a href="https://www.youtube.com/@Ticaga/videos" target="_blank">Ticaga Tube</a>
                            </h2>
                        </div>

                        <p class="mt-4 text-gray-500 dark:text-gray-400 text-sm leading-relaxed">
                            Ticaga has a library of videos on Youtube, from exploring the past, to future features. We
                            also do live streams and upload tutorials there.
                        </p>

                        <p class="mt-4 text-sm">
                            <a href="https://www.youtube.com/@Ticaga/videos" target="_blank"
                               class="inline-flex items-center font-semibold text-blue-900  dark:text-blue-300">
                                Why not check out our videos?

                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"
                                     class="ms-1 w-5 h-5 fill-blue-500 dark:fill-blue-200">
                                    <path fill-rule="evenodd"
                                          d="M5 10a.75.75 0 01.75-.75h6.638L10.23 7.29a.75.75 0 111.04-1.08l3.5 3.25a.75.75 0 010 1.08l-3.5 3.25a.75.75 0 11-1.04-1.08l2.158-1.96H5.75A.75.75 0 015 10z"
                                          clip-rule="evenodd"/>
                                </svg>
                            </a>
                        </p>
                    </div>


                </div>

            </div>
        </div>
    </div>
</x-guest-layout>
