<?php //e88380e04931aef6ebd86d28bdfe8464
/** @noinspection all */

namespace App\Models {

    use Database\Factories\TeamFactory;
    use Database\Factories\UserFactory;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\BelongsToMany;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Notifications\DatabaseNotification;
    use Illuminate\Notifications\DatabaseNotificationCollection;
    use Illuminate\Support\Carbon;
    use Laravel\Sanctum\PersonalAccessToken;
    use LaravelIdea\Helper\App\Models\_IH_agents_C;
    use LaravelIdea\Helper\App\Models\_IH_agents_QB;
    use LaravelIdea\Helper\App\Models\_IH_Departments_C;
    use LaravelIdea\Helper\App\Models\_IH_Departments_QB;
    use LaravelIdea\Helper\App\Models\_IH_Membership_C;
    use LaravelIdea\Helper\App\Models\_IH_Membership_QB;
    use LaravelIdea\Helper\App\Models\_IH_Priorities_C;
    use LaravelIdea\Helper\App\Models\_IH_Priorities_QB;
    use LaravelIdea\Helper\App\Models\_IH_Responses_C;
    use LaravelIdea\Helper\App\Models\_IH_Responses_QB;
    use LaravelIdea\Helper\App\Models\_IH_Status_C;
    use LaravelIdea\Helper\App\Models\_IH_Status_QB;
    use LaravelIdea\Helper\App\Models\_IH_TeamInvitation_C;
    use LaravelIdea\Helper\App\Models\_IH_TeamInvitation_QB;
    use LaravelIdea\Helper\App\Models\_IH_Team_C;
    use LaravelIdea\Helper\App\Models\_IH_Team_QB;
    use LaravelIdea\Helper\App\Models\_IH_Tickets_C;
    use LaravelIdea\Helper\App\Models\_IH_Tickets_QB;
    use LaravelIdea\Helper\App\Models\_IH_User_C;
    use LaravelIdea\Helper\App\Models\_IH_User_QB;
    use LaravelIdea\Helper\Illuminate\Notifications\_IH_DatabaseNotification_QB;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_C;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_QB;

    /**
     * @property int $id
     * @property string $department_name
     * @property string|null $department_description
     * @property Carbon|null $department_open
     * @property Carbon|null $department_closed
     * @property int $show_opening_hours
     * @property int $allows_high_priority
     * @property int $is_public
     * @property int $is_disabled
     * @property string|null $department_email
     * @property int $soft_deleted
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Departments_QB onWriteConnection()
     * @method _IH_Departments_QB newQuery()
     * @method static _IH_Departments_QB on(null|string $connection = null)
     * @method static _IH_Departments_QB query()
     * @method static _IH_Departments_QB with(array|string $relations)
     * @method _IH_Departments_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Departments_C|Departments[] all()
     * @foreignLinks id,\App\Models\Tickets,department_id
     * @mixin _IH_Departments_QB
     */
    class Departments extends Model {}

    /**
     * @property int $id
     * @property int $team_id
     * @property int $user_id
     * @property string|null $role
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Membership_QB onWriteConnection()
     * @method _IH_Membership_QB newQuery()
     * @method static _IH_Membership_QB on(null|string $connection = null)
     * @method static _IH_Membership_QB query()
     * @method static _IH_Membership_QB with(array|string $relations)
     * @method _IH_Membership_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Membership_C|Membership[] all()
     * @ownLinks team_id,\App\Models\Team,id|user_id,\App\Models\User,id
     * @mixin _IH_Membership_QB
     */
    class Membership extends Model {}

    /**
     * @property int $id
     * @property string $priority_name
     * @property int $is_priority
     * @property string $priority_colour
     * @method static _IH_Priorities_QB onWriteConnection()
     * @method _IH_Priorities_QB newQuery()
     * @method static _IH_Priorities_QB on(null|string $connection = null)
     * @method static _IH_Priorities_QB query()
     * @method static _IH_Priorities_QB with(array|string $relations)
     * @method _IH_Priorities_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Priorities_C|Priorities[] all()
     * @mixin _IH_Priorities_QB
     */
    class Priorities extends Model {}

    /**
     * @property int $id
     * @property int $response_user_id
     * @property int $ticket_number
     * @property string|null $response_title
     * @property string $response_content
     * @property int $is_note
     * @property int $agent_response
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Responses_QB onWriteConnection()
     * @method _IH_Responses_QB newQuery()
     * @method static _IH_Responses_QB on(null|string $connection = null)
     * @method static _IH_Responses_QB query()
     * @method static _IH_Responses_QB with(array|string $relations)
     * @method _IH_Responses_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Responses_C|Responses[] all()
     * @mixin _IH_Responses_QB
     */
    class Responses extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property int $is_priority
     * @property string $colour
     * @method static _IH_Status_QB onWriteConnection()
     * @method _IH_Status_QB newQuery()
     * @method static _IH_Status_QB on(null|string $connection = null)
     * @method static _IH_Status_QB query()
     * @method static _IH_Status_QB with(array|string $relations)
     * @method _IH_Status_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Status_C|Status[] all()
     * @mixin _IH_Status_QB
     */
    class Status extends Model {}

    /**
     * @property int $id
     * @property int $user_id
     * @property string $name
     * @property bool $personal_team
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User $owner
     * @method BelongsTo|_IH_User_QB owner()
     * @property _IH_TeamInvitation_C|TeamInvitation[] $teamInvitations
     * @property-read int $team_invitations_count
     * @method HasMany|_IH_TeamInvitation_QB teamInvitations()
     * @property _IH_User_C|User[] $users
     * @property-read int $users_count
     * @method BelongsToMany|_IH_User_QB users()
     * @method static _IH_Team_QB onWriteConnection()
     * @method _IH_Team_QB newQuery()
     * @method static _IH_Team_QB on(null|string $connection = null)
     * @method static _IH_Team_QB query()
     * @method static _IH_Team_QB with(array|string $relations)
     * @method _IH_Team_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Team_C|Team[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @foreignLinks id,\App\Models\TeamInvitation,team_id|id,\App\Models\Membership,team_id
     * @mixin _IH_Team_QB
     * @method static TeamFactory factory(array|callable|int|null $count = null, array|callable $state = [])
     */
    class Team extends Model {}

    /**
     * @property int $id
     * @property int $team_id
     * @property string $email
     * @property string|null $role
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Team $team
     * @method BelongsTo|_IH_Team_QB team()
     * @method static _IH_TeamInvitation_QB onWriteConnection()
     * @method _IH_TeamInvitation_QB newQuery()
     * @method static _IH_TeamInvitation_QB on(null|string $connection = null)
     * @method static _IH_TeamInvitation_QB query()
     * @method static _IH_TeamInvitation_QB with(array|string $relations)
     * @method _IH_TeamInvitation_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_TeamInvitation_C|TeamInvitation[] all()
     * @ownLinks team_id,\App\Models\Team,id
     * @mixin _IH_TeamInvitation_QB
     */
    class TeamInvitation extends Model {}

    /**
     * @property int $id
     * @property int $user_id
     * @property string $title
     * @property string $content
     * @property int $status
     * @property int $priority
     * @property string|null $cc
     * @property int $assigned
     * @property int $department_id
     * @property string|null $public_hash
     * @property string|null $public_name
     * @property string|null $public_email
     * @property string|null $date_closed
     * @property Carbon|null $updated_by_client_at
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Responses_C|Responses[] $responses
     * @property-read int $responses_count
     * @method HasMany|_IH_Responses_QB responses()
     * @method static _IH_Tickets_QB onWriteConnection()
     * @method _IH_Tickets_QB newQuery()
     * @method static _IH_Tickets_QB on(null|string $connection = null)
     * @method static _IH_Tickets_QB query()
     * @method static _IH_Tickets_QB with(array|string $relations)
     * @method _IH_Tickets_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Tickets_C|Tickets[] all()
     * @ownLinks user_id,\App\Models\User,id|department_id,\App\Models\Departments,id
     * @mixin _IH_Tickets_QB
     */
    class Tickets extends Model {}

    /**
     * @property int $id
     * @property string $unique_id
     * @property string $name
     * @property string|null $company
     * @property string $email
     * @property Carbon|null $email_verified_at
     * @property string $phone_number
     * @property bool $phone_verified
     * @property string $password
     * @property string|null $remember_token
     * @property int|null $current_team_id
     * @property string|null $profile_photo_path
     * @property int $is_agent
     * @property int $account_manager
     * @property string|null $session_id
     * @property int $soft_deleted
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $two_factor_secret
     * @property string|null $two_factor_recovery_codes
     * @property Carbon|null $two_factor_confirmed_at
     * @property-read string $profile_photo_url attribute
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property _IH_PersonalAccessToken_C|PersonalAccessToken[] $tokens
     * @property-read int $tokens_count
     * @method MorphToMany|_IH_PersonalAccessToken_QB tokens()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @ownLinks
     * @foreignLinks id,\App\Models\Team,user_id|id,\App\Models\Membership,user_id|id,\App\Models\Tickets,user_id
     * @mixin _IH_User_QB
     * @method static UserFactory factory(array|callable|int|null $count = null, array|callable $state = [])
     */
    class User extends Model {}

    /**
     * @method static _IH_agents_QB onWriteConnection()
     * @method _IH_agents_QB newQuery()
     * @method static _IH_agents_QB on(null|string $connection = null)
     * @method static _IH_agents_QB query()
     * @method static _IH_agents_QB with(array|string $relations)
     * @method _IH_agents_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_agents_C|agents[] all()
     * @mixin _IH_agents_QB
     */
    class agents extends Model {}
}
